<h1 mat-dialog-title>Restaurant <b>{{restaurant.name}}</b></h1>
<div class="content" fxLayout="column" fxLayoutGap="16px" mat-dialog-content>

  <table>
    <tr>
      <th>Average</th>
      <td>
        <rr-rating [disabled]="true" [value]="restaurant.rating"></rr-rating>
      </td>
    </tr>
    <tr>
      <th>Best</th>
      <td>
        <rr-rating *rxapRemoteMethod="let review call reviewControllerGetBest; parameters: methodParameters"
                   [disabled]="true"
                   [value]="review.rating">
        </rr-rating>
      </td>
    </tr>
    <tr>
      <th>Worst</th>
      <td>
        <rr-rating *rxapRemoteMethod="let review call reviewControllerGetWorst; parameters: methodParameters"
                   [disabled]="true"
                   [value]="review.rating">
        </rr-rating>
      </td>
    </tr>
  </table>

  <mat-divider></mat-divider>

  <div *rxapRemoteMethod="let review call reviewControllerGetLatest; parameters: methodParameters" fxLayout="column"
       fxLayoutAlign="start center" fxLayoutGap="8px">
    <span class="title">Latest Review</span>
    <rr-rating [disabled]="true"
               [value]="review.rating">
    </rr-rating>
    <mat-form-field appearance="fill" style="width: 100%">
      <mat-label>Comment</mat-label>
      <textarea [matTextareaAutosize]="true" [value]="review.comment" matInput readonly="true"></textarea>
    </mat-form-field>
  </div>

</div>
<div mat-dialog-actions>
  <button mat-dialog-close mat-stroked-button>Close</button>
</div>
